<!--
location /root {
       alias /root/;
       autoindex on;
       autoindex_exact_size off;
       autoindex_localtime on;
       add_after_body /autoindex_after.html;
}
 -->
<script type="text/javascript">
	var path = document.getElementsByTagName('h1')[0].innerHTML;
	var str = document.getElementsByTagName('pre')[0].innerHTML;
	var mc = str.match(/.+/gi);
	var data = [];
	for(var i=0; i<mc.length; i++){
		var m = /\s*<a\s* href="(.+)">(.+)<\/a>(\s+(.*))?/gi.exec(mc[i]);
		data.push({href:m[1], title:m[2], date:m[4]});
	}
	function viewText(url){
	}
	function viewMD(url){
		if(/.*md$/gi.test(url)){
			var data = Ajax.get(location.href+url, function(e){
				console.log(e);
			});
			return true;
		}
	}
	function isMedia(d){
		var mine="rm;rmvb;avi;mp4;m4v;m4a;asf;f4v;3gp;vob;mpeg;mkv;mov;wmv;flv";
		reg = new RegExp("\\.(("+mine.replace(/;/gi, ")|(") +"))", "gi");
		return reg.test(d.href);
	}
	function playMedia(n){
		var d = data[n];
		if(!isMedia(d))return false
		var md = [];
		for (var i = 0; i < data.length; i++) {
		    if(!isMedia(data[i]))continue;
		    if(data[i].href == d.href) n=md.length;
		    md.push(data[i]);
		    if(md[md.length-1].href.indexOf(location.href)<0)
		    	md[md.length-1].href = location.href + md[md.length-1].href
		}
		var mediaplayer = document.createElement('div')
		, ply = new player(
				md.map(function(e){
				var m = /.*\.(.+)$/gi.exec(e.href), urls={};
				if(m) urls[m[1]] = m[0];
				return {title:e.title, urls:urls}
				})
			,n);
		mediaplayer.style="position: fixed; top: 0px; left: 0px; width: 100%; height: 100%; ";
		ply.ondestory=function(){ mediaplayer.remove(); }
		mediaplayer.appendChild(ply);
		document.body.appendChild(mediaplayer);
		return true;
	}
	function dlclick(n){
		event.preventDefault();
		event.stopPropagation();
		var url = data[n].href;
		if(playMedia(n))return;
		// if(viewMD(url))return;
		// if(viewText(url))return;
		location.href = url;
	}
	function linpath(p, plnk){
		var m = /\/(\w+)(.*)/gi.exec(p);
		if(!m) return p;
		var lnk=(plnk?plnk:"")+"/"+m[1] + '/';
		return "/<a href=\""+lnk+"\">" + m[1] +"</a>" + linpath(m[2], lnk);
	}

	function qrcode(e, url){
		if(e.elQrcode)return;
		var el = document.createElement('div');
		var arcode = document.createElement('div');
		var title = document.createElement('p');
		var fn = document.createElement('p');
		var m = /.*\/(..+)$/gi.exec(url);
		title.innerText =location.hostname;
		title.style = fn.style="text-align: center;text-overflow：ellipsis;width:110px;overflow:hidden;margin:3px;";
		e.elQrcode = el;
		if(m){
			var t=decodeURIComponent(m[1]);
			fn.innerHTML=t;
		}
		e.addEventListener('mouseout', function(){
			el.remove();
			this.elQrcode = null;
		});
		e.addEventListener('mousemove', function(){
			if( (window.outerHeight - event.y) < 350 )
				el.style.top = event.y - 200;
			else
				el.style.top = event.y+15;
			el.style.left = event.x+15;
		});
		el.style="box-shadow: 1px 1px 1px #aaa; border-radius: 5px; border: 1px solid #a3a3a3;position: fixed; min-width: 100px; min-height: 100px; padding:15px;background:#fff;text-ali" + 
			"top:" + event.y +
			";left:" + event.x ;
		el.appendChild(title);
		el.appendChild(arcode);
		el.appendChild(fn);
		document.body.appendChild(el);
		var qrcode = new QRCode(arcode, {
			width : 100,
			height : 100
		});
		qrcode.makeCode(url);
	}

	var html = "<div>"
	html += "<div> Index of "+linpath(path)+"</div>"	
	html += "<hr>"
	for (var i = 0; i < data.length; i++) {
		var d = data[i];
		html += "<dl onclick=\"dlclick("+i+")\" onmouseover=\"qrcode(this, location.href+'/"+d.href+"')\">"
		html += "<dt><a href=\""+d.href+"\" onclick=\"dlclick("+i+")\">"+d.title+"</a></dt>"
		html += "<dd>"+(d.date?d.date:'') +"</dd>"
		html += "</dl>"
	}
	html += "<hr>"
	html += "</div>"
	var div = document.createElement("div");
	div.innerHTML = html;
	div.id = 'hdivlist';
	document.body.appendChild(div);
	div = document.createElement("div");
	div.style.textAlign = 'center';
	div.style.fontSize = '0.09rem';
	div.innerHTML = "<p>Copyright @ 39doo.com</p><p>Email:rimke@163.com  website:39doo.com</p>";
	document.body.appendChild(div);
</script>